
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>大话设计模式读书笔记--8.外观模式 / 憋错料</title>

    <meta name="description" content="大话设计模式读书笔记--8.外观模式 外观模式的用意是为子系统提供一个集中化和简化的沟通渠道,而不是向子系统加入新的行为 生活中的例子: 一个电源总开关可以控制四盏灯.一个风扇.一台空调和一台电视机的启动和关闭.该电源总开关可以同时控制上述所有电器设备,电源总开关即为该系统的外观模式设计 定义 定义: 为子系统中的一组接口提供一个一致的界面,此模式定义了一个高层接口,这一接口使得这一子系统更加容易使用 结构图 Facade: 是模式的核心,指导所有子系统的功能, 可根据客户端的需求定制功能组合 SubSystemOne: 实现子系统">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">大话设计模式读书笔记--8.外观模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>外观模式的用意是为子系统提供一个集中化和简化的沟通渠道，而不是向子系统加入新的行为</p>
<p>生活中的例子:</p>
<pre>一个电源总开关可以控制四盏灯、一个风扇、一台空调和一台电视机的启动和关闭。该电源总开关可以同时控制上述所有电器设备，电源总开关即为该系统的外观模式设计</pre>

<h1>定义</h1>
<p>定义: 为子系统中的一组接口提供一个一致的界面,此模式定义了一个高层接口,这一接口使得这一子系统更加容易使用</p>
<h4>结构图</h4>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk3OTAxNi8yMDE3MDIvOTc5MDE2LTIwMTcwMjE5MjE1ODIyOTU3LTE3NDE2OTQyNDgucG5n.jpg" /></p>
<p>Facade: 是模式的核心,指导所有子系统的功能, 可根据客户端的需求定制功能组合</p>
<p>SubSystemOne: 实现子系统的功能</p>
<h1>代码实现</h1>
<p>场景: 新手理财买基金, &nbsp;通过基金经理人进行投资,而新手无须关心基金经理人具体的投资</p>
<p>场景分析:&nbsp;新手只要关系基金的涨跌, 而无须关心基金经理人具体的投资行为</p>
<p><a href="http://files.cnblogs.com/files/liuconglin/ch12facade.rar" rel="external nofollow noreferrer">点击下载代码</a></p>
<h1>优缺点及使用场景</h1>
<p>优点:</p>
<pre> 1.减少客户端处理的对象数目
 2.对客户端屏蔽了子系统, 实现了解耦合</pre>
<p>缺点:&nbsp;增加新的子系统可能需要修改外观类或客户端的源代码，违背了&ldquo;开闭原则&rdquo;。</p>
<p>使用场景:</p>
<pre>1.在设计初期,应该有意识的将不同的两个层分离,比如经典的mvc架构
2.子系统往往因为不断演化而变得越来越复杂。大多数模式使用时都会产生更多更小的类,使用起来困难, 增加外观模式可以提供简单的接口,减少依赖
3.一个大型系统非常难以维护和扩展,但是新的需求必须依赖其中部分功能,可以提供一个外观Facade类,让新系统与Facade对象交互</pre>
<p>在对系统使用外观模式后,达到的效果如下图</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk3OTAxNi8yMDE3MDIvOTc5MDE2LTIwMTcwMjE5MjIyNzA5MTI5LTE0ODU5ODAwNzkucG5n.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 10:08:52 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%ba%a4%e4%ba%92/" title="交互">交互</a>, <a href="https://www.biecuoliao.com/tag/logs/" title="logs">logs</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%88%e6%9e%9c/" title="效果">效果</a>, <a href="https://www.biecuoliao.com/tag/idt/" title="idt">idt</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%9a%e4%b9%89/" title="定义">定义</a>, <a href="https://www.biecuoliao.com/tag/%e4%bb%a3%e7%a0%81%e5%ae%9e%e7%8e%b0/" title="代码实现">代码实现</a>, <a href="https://www.biecuoliao.com/tag/%e7%95%8c%e9%9d%a2/" title="界面">界面</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%a2%e6%88%b7%e7%ab%af/" title="客户端">客户端</a>, <a href="https://www.biecuoliao.com/tag/%e6%8a%95%e8%b5%84/" title="投资">投资</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>大话设计模式读书笔记--8.外观模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6X1kW3.html" rel="bookmark">大话设计模式读书笔记2&mdash;&mdash;策略模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				策略模式是一种定义一系列算法的方法,从概念上来看,所有这些算法完成的都是相同的工作,只是实现不同,它可以以相同的方式调用所有的算法,减少了各种算法类与使用算法类直接的耦合. UML 图: 根据&lt;大话设计模式&gt;——第二章 商场促销这个案例代码来简单的记录一下策略模式的使用方式: /// &lt;summary&gt; /// 现金收费抽象类 /// &lt;/summary&gt; public abstract class CashSuper { /// &lt;summary&gt; ///			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/N4peXPM.html" rel="bookmark">大话设计模式读书笔记--12&period;状态模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义 状态模式定义: 当一个对象的内在状态改变时,允许改变其行为,这个对象看起来改变了其类 消除庞大的条件分支,将特定状态的行为放入一个对象中 生活中:开灯和关灯是两个状态 模式结构 Context: 上下文环境,维护一个状态实例,定义当前的状态 State: 抽象状态类,定义一个接口,封装与Context的一个特定状态相关的行为 ConcreteState:具体状态.实现Context的一个特定状态相关的行为 代码实现 场景: 12店之前是休闲状态, 之后是忙碌状态 点击下载代码 特点及使用场			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0Y88NM.html" rel="bookmark">大话设计模式读书笔记--23&period;访问者模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义 访问者模式定义: 表示一个作用于某对象结构中的各元素的操作,它使你在不改变各元素的类的前提下,定义作用于这些元素的新操作 把数据结构, 和作用于数据结构上的操作,分离 模式结构 代码实现 场景: 男人和女人谈恋爱,男人的状态和女人的状态 代码实现:点击下载 特点和使用场景 优点:很容易增加新的操作 缺点: 使增加新的数据结构变得困难 使用场景: 数据结构相对稳定的系统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzRwOM.html" rel="bookmark">大话设计模式读书笔记--6&period;原型模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简单的复制粘贴极有可能造成重复代码的灾难, 但是java中提供了克隆的功能, 如果一个对象创建过程复杂,又要频繁使用, 在初始化信息不发生变化的情况下,应当采取克隆而不是new一个对象 定义 原型模式: 用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象 也就是说, 只需知道原型对象的类型,就可以拷贝, 拷贝分为浅拷贝和深拷贝,可参考浅拷贝和深拷贝 模式结构 Prototype: 抽象原型类,声明克隆接口 ConcretePrototypeA: 具体的原型类, 实现克隆操作 模式实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eqyjE0.html" rel="bookmark">大话设计模式读书笔记--18&period;命令模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义 命令模式定义: 将一个请求封装为一个对象,从而使你可用不同的请求对客户进行参数化;对请求排队或记录请求日志,以及支持可撤销的操作 比如: 吃烤串时, 客人点烤羊肉,烤鸡肉, 服务员记录下客人的点餐记录,然后通知厨师开始做 烤羊肉,烤鸡肉是请求对象;服务员是命令请求者;厨师是命令实现者 命令模式将功能(请求)封装成对象 目的 对命令请求者(Invoker)和命令实现者(Receiver)的解耦,方便对命令进行各种控制. 模式结构 代码实现 场景: 去饭店吃烤串 代码: 点击下载 特点和使用场			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x8vGQ0.html" rel="bookmark">大话设计模式读书笔记--7&period;模板方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候,我们会遇到由一系列步骤构成的过程,这个过程从高层次上看是相同的,但有些步骤的实现可能不同,我们就要考虑使用模板方法 生活中的例子:坐交通工具上班,  A开车,B做公交, 交通工具就是一个抽象模板 定义 定义一个操作中的算法的骨架,而将一些步骤延迟到子类中,模板方法使得子类不改变算法的结构,即可重定义该算法的某些特定步骤 模式结构 AbstractClass:是一个抽象模板类,templateMethod()是模板方法,它是一个顶级逻辑的骨架,primitiveOperation()是一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aRrlv3.html" rel="bookmark">大话设计模式读书笔记--2&period;策略模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向对象的编程,并不是类越多越好,类的划分是为了封装,但分类的基础是抽象,具有相同属性和功能的对象的抽象集合才是类 定义 它定义了算法家族,分别封装起来,让他们之间可以相互替换,此模式让算法的变化,不会影响到使用算法的客户 模式结构 Strategy: 定义所有支持算法的公共接口 ConcreteStrategy: 封装了具体的算法或行为,也就是具体的策略 Context:是算法对象工厂, 维护一个Strategy对象的引用, 产生具体算法对象 模式实现 场景:模拟商城收银软件,营业员根据客户所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dZgN74.html" rel="bookmark">大话设计模式读书笔记6&mdash;&mdash;代理模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代理模式: 代理模式(Proxy):为其他对象提供一种代理以控制对这个对象的访问. UML结构如下图: 代码实现: //定义一个Subject 抽象类 public abstract class Subject { public abstract void Request(); } //定义一个RealSubject类,继承Subject public class RealSubject : Subject { public override void Request() { Console.W			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NdbY60.html" rel="bookmark">【大话设计模式读书笔记&mdash;&mdash;工厂方法模式】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工厂方法模式 工厂方法模式的实质是&quot;定义一个创建对象的接口,但让实现这个接口的类来决定实例化哪个类.工厂方法让类的实例化推迟到子类中进行. 工厂方法模式 VS 简单工厂模式 简单工厂的模式的最大优点在于工厂类中包含了必要的逻辑判断,根据客户端的选择动态的实例化相关的类.对于客户端来说,去除了与具体产品的依赖. 工厂方法模式,定义了一个用于创建对象的接口,让子类决定实例化哪一个类.工厂方法使得一个类的实例化延迟到其子类.工厂方法模式实现时,客户端需要决定实例化哪一个工厂来实现运算类,选择判断的问题			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmpVV4.html" rel="bookmark" class="title">一个http请求发送到后端的详细过程</a>
					<div>
						我们来看当我们在浏览器输入http://www.mycompany.com:8080/mydir/index.html,幕后所发生的一切. 首先http是一个应用层的协议,在这个层的协议,只是一种通讯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGddZM.html" rel="bookmark" class="title">android 中在内存中保存文件</a>
					<div>
						以一个登陆的例子来将,将登陆时的信息保存在指定目录的文件中.在第一次登陆后,对用户名等在内存文件中保存. android界面: 界面: 1 &lt;LinearLayout xmlns:android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQzPB3.html" rel="bookmark" class="title">实现键值对存储（三）：Kyoto Cabinet 和LevelDB的架构比较分析</a>
					<div>
						译自  Emmanuel Goossaert (CodeCapsule.com) 在本文中,我将会逐组件地把Kyoto Cabinet 和 LevelDB的架构过一遍.目标和本系列第二部分讲的差不多, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vE7wL0.html" rel="bookmark" class="title">N皇后问题&lpar;位运算实现&rpar;</a>
					<div>
						本文参考Matrix67的位运算相关的博文. 顺道列出Matrix67的位运算及其使用技巧 (一) (二) (三) (四),很不错的文章,非常值得一看. 主要就其中的N皇后问题,给出C++位运算实现版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEknAD3.html" rel="bookmark" class="title">Leetcode 268 Missing Number 位运算</a>
					<div>
						题意:先将0, 1, 2, ..., n放入数组,然后去掉其中一个值,找到那个值. 这题与singe number 是一个类型,变形的地方就是首先需要将0, 1, 2, ..., n再次放入这个数组, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KyJ9L4.html" rel="bookmark" class="title">云存储：文件的上传</a>
					<div>
						大型网站架构:降低主站服务器的压力 CDN:智能DNS挑选最近的服务器提供图片等 云存储:把图片放到单独的服务器,价格低 云存储:七牛.AWS.又拍云.盛大云.阿里云.百度云 云计算:租.按需使用.按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8pvBM.html" rel="bookmark" class="title">android shape图形优化Button效果</a>
					<div>
						android shape可以让我们通过定义xml文件的方式创建图形,当然只能实现一些比较简单的图形(圆形,矩形,椭圆,线段),但是已经相当不错了,通过shape创建的图形作为控件的背景已经基本可以满 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGP6zo0.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;gt&semi;Android Activity的singleTask加载模式和onActivityResult方法之间的冲突</a>
					<div>
						今天调试一个bug的时候,情景如下: 一个Activity A,需要用startActivityForResult方法开启Activity B.Activity B的launch mode被设置为si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J86dV0.html" rel="bookmark" class="title">WCF 之 终结点与它的ABC</a>
					<div>
						地址(Address):到哪儿可以找到服务 WCF的每一个服务都具有一个唯一的地址(Addressess).地址包含两个重要元素:服务位置与传输协议,或者是用于服务通信的传输样式.服务位置包括目标机器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrOzN4.html" rel="bookmark" class="title">MyBatis学习-映射文件标签篇</a>
					<div>
						MyBatis 真正的核心在映射文件中.比直接使用 JDBC 节省95%的代码.而且将 SQL 语句独立在 Java 代码之外,可以进行更为细致的 SQL 优化. 一. 映射文件的顶级元素 resul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382LPWM.html" rel="bookmark" class="title">通知模式实现两个textField传值及模态视图&mdash;&mdash;iOS开发</a>
					<div>
						通知模式实现两个textField传值及模态视图--iOS开发 利用通知模式,实现两个不同界面的textField之间的传值,在界面二输入字符,传值到前一界面的textField. 界面的切换,这里临 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWAXY3.html" rel="bookmark" class="title">Android 安装应用后点击打开带来的问题</a>
					<div>
						今天安装完APP的时候,界面会显示两个按钮,一个完成键,一个打开键,点击Open键之后,外部打开应用.此时,我们点击HOME键,程序将会在后台.然后再点击该桌面上应用程序的图标,app会自己重新启动! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvbQmM.html" rel="bookmark" class="title">4&rpar;linux程序设计入门--时间概念</a>
					<div>
						4)程序设计入门--时间概念 前言:Linux下的时间概念 这一章我们学习Linux的时间表示和计算函数 时间的表示 时间的测量 计时器的使用 1.时间表示 在程序当中,我们经常要输出系统当前的时间, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vkRAM.html" rel="bookmark" class="title">课程笔记&mdash;&mdash;网易测试工程师的日常</a>
					<div>
						1. 一个产品问世的流程:产品孵化-需求/策划-交互/视觉-开发/测试-系统运维-运营/推广-用户研究-数据分析.2. 测试过程:1)需求评审(仔细评审需求,挖掘需求漏洞:推动开发仔细评审需求,推动需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkgoP3.html" rel="bookmark" class="title">&lbrack;最短路&rsqb;1722 最优乘车</a>
					<div>
						题目描述 Description H城是一个旅游胜地,每年都有成千上万的人前来观光.为方便游客,巴士公司在各个旅游景点及宾馆,饭店等地都设置了巴士站并开通了一些单程巴上线路.每条单程巴士线路从某个巴士 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vAZaa0.html" rel="bookmark" class="title">NSString常用的方法</a>
					<div>
						#pragma mark - 初始化构造字符串     NSString *str = [[NSString alloc]initWithString:@&quot;Hell kitty&quot;] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME1P5ZM.html" rel="bookmark" class="title">nc ltx转发</a>
					<div>
						加账户net user seayace seay /add 建立账户,用户名seayace 密码seaynet localgroup Administrators seayace /add 提升到管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXwGk3.html" rel="bookmark" class="title">将应用部署到Tomcat根目录的三种方法</a>
					<div>
						将应用部署到Tomcat根目录的三种方法 将应用部署到Tomcat根目录的目的是可以通过&quot;http://[ip]:[port]&quot;直接访问应用,而不是使用&quot;http://[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQGrPM.html" rel="bookmark" class="title">&lbrack;转载&rsqb; 学习TClientDataset的使用</a>
					<div>
						[转载] 学习TClientDataset的使用 http://blog.csdn.net/onebigday/article/details/6275550 这个控件好像很好用,以前都是用TSimp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eawYp0.html" rel="bookmark" class="title">HDU 1588 Gauss Fibonacci 矩阵</a>
					<div>
						首先fib数列可以很随意的推出来矩阵解法,然后这里就是要处理一个关于矩阵的等比数列求和的问题,这里有一个logn的解法,类似与这样 A^0+A^1+A^2+A^3 = A^0 + A^1 + A^2  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
